Bug 168824 - [FEAT:][RHEL 4 U3]LVM2 Snapshot support of root
Summary: [FEAT:][RHEL 4 U3]LVM2 Snapshot support of root
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 168430
TreeView+ depends on / blocked
 
Reported: 2005-09-20 15:06 UTC by Issue Tracker
Modified: 2018-11-14 18:20 UTC (History)
6 users (show)

Fixed In Version: RHBA-2006-0137
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 21:35:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0137 qe-ready SHIPPED_LIVE lvm2 bug fix and enhancement update 2006-03-06 05:00:00 UTC
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Comment 5 Alasdair Kergon 2005-09-21 21:03:33 UTC
At a technical level, the issue is actually tied in with the current snapshot
problems - once bug 164959 is resolved, I expect this one to follow quite easily.

Dealing with bug 164959 involves changing the sequence of steps used to create
and activate snapshots.  The problem with snapshots of / is that while I/O to /
is suspended, some processes may attempt to access it (e.g. to update the atime
on the /sbin/hotplug binary) and this locks up the system.  The resequencing
will change things so that hotplug and the atime update always happen *before*
I/O gets suspended and the snapshot gets activated.

Comment 6 Alasdair Kergon 2005-09-21 21:17:40 UTC
See also Fedora bug 145342

Comment 14 Red Hat Bugzilla 2006-03-07 20:10:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html


Comment 15 Red Hat Bugzilla 2006-03-07 21:35:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0137.html



Note You need to log in before you can comment on or make changes to this bug.